<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>AlexaClientSDK: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.9.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html">acl</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_stream_pool.html">HTTP2StreamPool</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">alexaClientSDK::acl::HTTP2StreamPool Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_stream_pool.html">alexaClientSDK::acl::HTTP2StreamPool</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_stream_pool.html#a6bdce447496019c123d6c3576f8590db">createGetStream</a>(const std::string &amp;url, const std::string &amp;authToken, std::shared_ptr&lt; MessageConsumerInterface &gt; messageConsumer)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_stream_pool.html">alexaClientSDK::acl::HTTP2StreamPool</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_stream_pool.html#a77578b6b88d1af82407571ad525cfddd">createPostStream</a>(const std::string &amp;url, const std::string &amp;authToken, std::shared_ptr&lt; avsCommon::avs::MessageRequest &gt; request, std::shared_ptr&lt; MessageConsumerInterface &gt; messageConsumer)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_stream_pool.html">alexaClientSDK::acl::HTTP2StreamPool</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_stream_pool.html#a5897e5d9b74197a96f448d17a9972c49">HTTP2StreamPool</a>(const int maxStreams, std::shared_ptr&lt; avsCommon::avs::attachment::AttachmentManager &gt; attachmentManager)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_stream_pool.html">alexaClientSDK::acl::HTTP2StreamPool</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_stream_pool.html#afcd2752bb5fcb4ac934bbc9747558f7e">releaseStream</a>(std::shared_ptr&lt; HTTP2Stream &gt; stream)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_stream_pool.html">alexaClientSDK::acl::HTTP2StreamPool</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.9.0 - Copyright 2016-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
